#!/bin/sh
#
# test the passphrase tools

echo === MAKING THE TEST FILES ==
dd if=/dev/zero of=blank.iso bs=65536 count=100
./afconvert -o blank.aff blank.iso
./afconvert -o file://:passphrase@/blanke.aff blank.iso

# Make sure afcrypto reports properly for with and with no encrypted segments
if (./afcrypto blank.aff | grep "no encrypted segments" > /dev/null ) ; then 
  echo blank.aff properly created
else  
   exit 1 
fi 
rm blank.iso

# Now test afcrypto
if (./afcrypto blanke.aff | grep "has encrypted segments" > /dev/null) ; then 
  echo blanke.aff properly created
else 
  exit 1 
fi

echo "sleepy" > words
echo "dopey" >> words
echo "doc" >> words
echo "passphrase" >> words
echo "foobar" >> words
if [ `./afcrypto -q -r words blanke.aff` == "passphrase" ] ; then
   echo afcrypto found the correct pasphrase 
else 
  echo afcrypto did not find the right passphrase
  exit 1
fi

rm blank.aff blanke.aff words

echo ALL TESTS PASS
exit 0
